The Employee object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

parent_id string
is_group boolean

Default: false

employee string
salutation string
first_name string required
middle_name string
last_name string
employee_name string
image string
company string required
status string

Default: Active

employee_number string
gender string required
date_of_birth string required
date_of_joining string required
emergency_phone_number string
person_to_be_contacted string
relation string
user_id string
create_user_permission boolean

Default: true

create_user_automatically boolean

Default: false

scheduled_confirmation_date string
final_confirmation_date string
contract_end_date string
notice_number_of_days integer
date_of_retirement string
department string
designation string
reports_to string
branch string
holiday_list string
salary_mode string
bank_name string
bank_ac_no string
cell_number string
prefered_contact_email string
prefered_email string
company_email string
personal_email string
unsubscribed boolean

Default: false

permanent_accommodation_type string
permanent_address string
current_accommodation_type string
current_address string
bio string
passport_number string
date_of_issue string
valid_upto string
place_of_issue string
marital_status string
blood_group string
family_background string
health_details string
resignation_letter_date string
relieving_date string
reason_for_leaving string
leave_encashed string
encashment_date string
held_on string
new_workplace string
feedback string
attendance_device_id string
salary_currency string
ctc number
iban string
The Employee object
{
  "id": "employee_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parent_id": null,
  "is_group": false,
  "employee": "employee_example",
  "salutation": "salutation_example",
  "first_name": "first_name_example",
  "middle_name": "middle_name_example",
  "last_name": "last_name_example",
  "employee_name": "employee_name_example",
  "image": "image_example",
  "company": "Example Corp",
  "status": "Active",
  "employee_number": "employee_number_example",
  "gender": "gender_example",
  "date_of_birth": "2024-01-15",
  "date_of_joining": "2024-01-15",
  "emergency_phone_number": "emergency_phone_number_example",
  "person_to_be_contacted": "person_to_be_contacted_example",
  "relation": "relation_example",
  "user_id": "user_id_example",
  "create_user_permission": true,
  "create_user_automatically": false,
  "scheduled_confirmation_date": "2024-01-15",
  "final_confirmation_date": "2024-01-15",
  "contract_end_date": "2024-01-15",
  "notice_number_of_days": 0,
  "date_of_retirement": "2024-01-15",
  "department": "department_example",
  "designation": "designation_example",
  "reports_to": "reports_to_example",
  "branch": "branch_example",
  "holiday_list": "holiday_list_example",
  "salary_mode": "salary_mode_example",
  "bank_name": "bank_name_example",
  "bank_ac_no": "bank_ac_no_example",
  "cell_number": "cell_number_example",
  "prefered_contact_email": "[email protected]",
  "prefered_email": "[email protected]",
  "company_email": "[email protected]",
  "personal_email": "[email protected]",
  "unsubscribed": false,
  "permanent_accommodation_type": "permanent_accommodation_type_example",
  "permanent_address": "permanent_address_example",
  "current_accommodation_type": "current_accommodation_type_example",
  "current_address": "current_address_example",
  "bio": "bio_example",
  "passport_number": "passport_number_example",
  "date_of_issue": "2024-01-15",
  "valid_upto": "valid_upto_example",
  "place_of_issue": "place_of_issue_example",
  "marital_status": "marital_status_example",
  "blood_group": "blood_group_example",
  "family_background": "family_background_example",
  "health_details": "health_details_example",
  "resignation_letter_date": "2024-01-15",
  "relieving_date": "2024-01-15",
  "reason_for_leaving": "reason_for_leaving_example",
  "leave_encashed": "leave_encashed_example",
  "encashment_date": "2024-01-15",
  "held_on": "held_on_example",
  "new_workplace": "new_workplace_example",
  "feedback": "feedback_example",
  "attendance_device_id": "attendance_device_id_example",
  "salary_currency": "USD",
  "ctc": 0,
  "iban": "iban_example"
}
GET /api/setup/employee/{id}

Retrieve a employee

Retrieves the details of an existing employee. Supply the unique employee ID that was returned from a previous request.

Path parameters

id string required

The identifier of the employee to retrieve.

Returns

Returns the employee object if a valid identifier was provided.

GET /api/setup/employee/{id}
curl https://api.overplane.dev/api/setup/employee/employee_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "employee_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parent_id": null,
  "is_group": false,
  "employee": "employee_example",
  "salutation": "salutation_example",
  "first_name": "first_name_example",
  "middle_name": "middle_name_example",
  "last_name": "last_name_example",
  "employee_name": "employee_name_example",
  "image": "image_example",
  "company": "Example Corp",
  "status": "Active",
  "employee_number": "employee_number_example",
  "gender": "gender_example",
  "date_of_birth": "2024-01-15",
  "date_of_joining": "2024-01-15",
  "emergency_phone_number": "emergency_phone_number_example",
  "person_to_be_contacted": "person_to_be_contacted_example",
  "relation": "relation_example",
  "user_id": "user_id_example",
  "create_user_permission": true,
  "create_user_automatically": false,
  "scheduled_confirmation_date": "2024-01-15",
  "final_confirmation_date": "2024-01-15",
  "contract_end_date": "2024-01-15",
  "notice_number_of_days": 0,
  "date_of_retirement": "2024-01-15",
  "department": "department_example",
  "designation": "designation_example",
  "reports_to": "reports_to_example",
  "branch": "branch_example",
  "holiday_list": "holiday_list_example",
  "salary_mode": "salary_mode_example",
  "bank_name": "bank_name_example",
  "bank_ac_no": "bank_ac_no_example",
  "cell_number": "cell_number_example",
  "prefered_contact_email": "[email protected]",
  "prefered_email": "[email protected]",
  "company_email": "[email protected]",
  "personal_email": "[email protected]",
  "unsubscribed": false,
  "permanent_accommodation_type": "permanent_accommodation_type_example",
  "permanent_address": "permanent_address_example",
  "current_accommodation_type": "current_accommodation_type_example",
  "current_address": "current_address_example",
  "bio": "bio_example",
  "passport_number": "passport_number_example",
  "date_of_issue": "2024-01-15",
  "valid_upto": "valid_upto_example",
  "place_of_issue": "place_of_issue_example",
  "marital_status": "marital_status_example",
  "blood_group": "blood_group_example",
  "family_background": "family_background_example",
  "health_details": "health_details_example",
  "resignation_letter_date": "2024-01-15",
  "relieving_date": "2024-01-15",
  "reason_for_leaving": "reason_for_leaving_example",
  "leave_encashed": "leave_encashed_example",
  "encashment_date": "2024-01-15",
  "held_on": "held_on_example",
  "new_workplace": "new_workplace_example",
  "feedback": "feedback_example",
  "attendance_device_id": "attendance_device_id_example",
  "salary_currency": "USD",
  "ctc": 0,
  "iban": "iban_example"
}
GET /api/setup/employee

List all employees

Returns a list of employees. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of employee objects.

GET /api/setup/employee
curl https://api.overplane.dev/api/setup/employee \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "employee_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "parent_id": null,
      "is_group": false,
      "employee": "employee_example",
      "salutation": "salutation_example",
      "first_name": "first_name_example",
      "middle_name": "middle_name_example",
      "last_name": "last_name_example",
      "employee_name": "employee_name_example",
      "image": "image_example",
      "company": "Example Corp",
      "status": "Active",
      "employee_number": "employee_number_example",
      "gender": "gender_example",
      "date_of_birth": "2024-01-15",
      "date_of_joining": "2024-01-15",
      "emergency_phone_number": "emergency_phone_number_example",
      "person_to_be_contacted": "person_to_be_contacted_example",
      "relation": "relation_example",
      "user_id": "user_id_example",
      "create_user_permission": true,
      "create_user_automatically": false,
      "scheduled_confirmation_date": "2024-01-15",
      "final_confirmation_date": "2024-01-15",
      "contract_end_date": "2024-01-15",
      "notice_number_of_days": 0,
      "date_of_retirement": "2024-01-15",
      "department": "department_example",
      "designation": "designation_example",
      "reports_to": "reports_to_example",
      "branch": "branch_example",
      "holiday_list": "holiday_list_example",
      "salary_mode": "salary_mode_example",
      "bank_name": "bank_name_example",
      "bank_ac_no": "bank_ac_no_example",
      "cell_number": "cell_number_example",
      "prefered_contact_email": "[email protected]",
      "prefered_email": "[email protected]",
      "company_email": "[email protected]",
      "personal_email": "[email protected]",
      "unsubscribed": false,
      "permanent_accommodation_type": "permanent_accommodation_type_example",
      "permanent_address": "permanent_address_example",
      "current_accommodation_type": "current_accommodation_type_example",
      "current_address": "current_address_example",
      "bio": "bio_example",
      "passport_number": "passport_number_example",
      "date_of_issue": "2024-01-15",
      "valid_upto": "valid_upto_example",
      "place_of_issue": "place_of_issue_example",
      "marital_status": "marital_status_example",
      "blood_group": "blood_group_example",
      "family_background": "family_background_example",
      "health_details": "health_details_example",
      "resignation_letter_date": "2024-01-15",
      "relieving_date": "2024-01-15",
      "reason_for_leaving": "reason_for_leaving_example",
      "leave_encashed": "leave_encashed_example",
      "encashment_date": "2024-01-15",
      "held_on": "held_on_example",
      "new_workplace": "new_workplace_example",
      "feedback": "feedback_example",
      "attendance_device_id": "attendance_device_id_example",
      "salary_currency": "USD",
      "ctc": 0,
      "iban": "iban_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/setup/employee

Create a employee

Creates a new employee object.

Body parameters

parent_id string
is_group boolean

Default: false

employee string
salutation string
first_name string required
middle_name string
last_name string
employee_name string
image string
company string required
status string

Default: Active

employee_number string
gender string required
date_of_birth string required
date_of_joining string required
emergency_phone_number string
person_to_be_contacted string
relation string
user_id string
create_user_permission boolean

Default: true

create_user_automatically boolean

Default: false

scheduled_confirmation_date string
final_confirmation_date string
contract_end_date string
notice_number_of_days integer
date_of_retirement string
department string
designation string
reports_to string
branch string
holiday_list string
salary_mode string
bank_name string
bank_ac_no string
cell_number string
prefered_contact_email string
prefered_email string
company_email string
personal_email string
unsubscribed boolean

Default: false

permanent_accommodation_type string
permanent_address string
current_accommodation_type string
current_address string
bio string
passport_number string
date_of_issue string
valid_upto string
place_of_issue string
marital_status string
blood_group string
family_background string
health_details string
resignation_letter_date string
relieving_date string
reason_for_leaving string
leave_encashed string
encashment_date string
held_on string
new_workplace string
feedback string
attendance_device_id string
salary_currency string
ctc number
iban string

Returns

Returns the newly created employee object if the call succeeded.

POST /api/setup/employee
curl https://api.overplane.dev/api/setup/employee \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"first_name":"first_name_example","company":"Example Corp","gender":"gender_example","date_of_birth":"2024-01-15","date_of_joining":"2024-01-15"}'
Response
{
  "id": "employee_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parent_id": null,
  "is_group": false,
  "employee": "employee_example",
  "salutation": "salutation_example",
  "first_name": "first_name_example",
  "middle_name": "middle_name_example",
  "last_name": "last_name_example",
  "employee_name": "employee_name_example",
  "image": "image_example",
  "company": "Example Corp",
  "status": "Active",
  "employee_number": "employee_number_example",
  "gender": "gender_example",
  "date_of_birth": "2024-01-15",
  "date_of_joining": "2024-01-15",
  "emergency_phone_number": "emergency_phone_number_example",
  "person_to_be_contacted": "person_to_be_contacted_example",
  "relation": "relation_example",
  "user_id": "user_id_example",
  "create_user_permission": true,
  "create_user_automatically": false,
  "scheduled_confirmation_date": "2024-01-15",
  "final_confirmation_date": "2024-01-15",
  "contract_end_date": "2024-01-15",
  "notice_number_of_days": 0,
  "date_of_retirement": "2024-01-15",
  "department": "department_example",
  "designation": "designation_example",
  "reports_to": "reports_to_example",
  "branch": "branch_example",
  "holiday_list": "holiday_list_example",
  "salary_mode": "salary_mode_example",
  "bank_name": "bank_name_example",
  "bank_ac_no": "bank_ac_no_example",
  "cell_number": "cell_number_example",
  "prefered_contact_email": "[email protected]",
  "prefered_email": "[email protected]",
  "company_email": "[email protected]",
  "personal_email": "[email protected]",
  "unsubscribed": false,
  "permanent_accommodation_type": "permanent_accommodation_type_example",
  "permanent_address": "permanent_address_example",
  "current_accommodation_type": "current_accommodation_type_example",
  "current_address": "current_address_example",
  "bio": "bio_example",
  "passport_number": "passport_number_example",
  "date_of_issue": "2024-01-15",
  "valid_upto": "valid_upto_example",
  "place_of_issue": "place_of_issue_example",
  "marital_status": "marital_status_example",
  "blood_group": "blood_group_example",
  "family_background": "family_background_example",
  "health_details": "health_details_example",
  "resignation_letter_date": "2024-01-15",
  "relieving_date": "2024-01-15",
  "reason_for_leaving": "reason_for_leaving_example",
  "leave_encashed": "leave_encashed_example",
  "encashment_date": "2024-01-15",
  "held_on": "held_on_example",
  "new_workplace": "new_workplace_example",
  "feedback": "feedback_example",
  "attendance_device_id": "attendance_device_id_example",
  "salary_currency": "USD",
  "ctc": 0,
  "iban": "iban_example"
}
PATCH /api/setup/employee/{id}

Update a employee

Updates the specified employee by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the employee to update.

Body parameters

parent_id string
is_group boolean

Default: false

employee string
salutation string
first_name string
middle_name string
last_name string
employee_name string
image string
company string
status string

Default: Active

employee_number string
gender string
date_of_birth string
date_of_joining string
emergency_phone_number string
person_to_be_contacted string
relation string
user_id string
create_user_permission boolean

Default: true

create_user_automatically boolean

Default: false

scheduled_confirmation_date string
final_confirmation_date string
contract_end_date string
notice_number_of_days integer
date_of_retirement string
department string
designation string
reports_to string
branch string
holiday_list string
salary_mode string
bank_name string
bank_ac_no string
cell_number string
prefered_contact_email string
prefered_email string
company_email string
personal_email string
unsubscribed boolean

Default: false

permanent_accommodation_type string
permanent_address string
current_accommodation_type string
current_address string
bio string
passport_number string
date_of_issue string
valid_upto string
place_of_issue string
marital_status string
blood_group string
family_background string
health_details string
resignation_letter_date string
relieving_date string
reason_for_leaving string
leave_encashed string
encashment_date string
held_on string
new_workplace string
feedback string
attendance_device_id string
salary_currency string
ctc number
iban string

Returns

Returns the updated employee object.

PATCH /api/setup/employee/{id}
curl https://api.overplane.dev/api/setup/employee/employee_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"parent_id":null,"is_group":false}'
Response
{
  "id": "employee_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parent_id": null,
  "is_group": false,
  "employee": "employee_example",
  "salutation": "salutation_example",
  "first_name": "first_name_example",
  "middle_name": "middle_name_example",
  "last_name": "last_name_example",
  "employee_name": "employee_name_example",
  "image": "image_example",
  "company": "Example Corp",
  "status": "Active",
  "employee_number": "employee_number_example",
  "gender": "gender_example",
  "date_of_birth": "2024-01-15",
  "date_of_joining": "2024-01-15",
  "emergency_phone_number": "emergency_phone_number_example",
  "person_to_be_contacted": "person_to_be_contacted_example",
  "relation": "relation_example",
  "user_id": "user_id_example",
  "create_user_permission": true,
  "create_user_automatically": false,
  "scheduled_confirmation_date": "2024-01-15",
  "final_confirmation_date": "2024-01-15",
  "contract_end_date": "2024-01-15",
  "notice_number_of_days": 0,
  "date_of_retirement": "2024-01-15",
  "department": "department_example",
  "designation": "designation_example",
  "reports_to": "reports_to_example",
  "branch": "branch_example",
  "holiday_list": "holiday_list_example",
  "salary_mode": "salary_mode_example",
  "bank_name": "bank_name_example",
  "bank_ac_no": "bank_ac_no_example",
  "cell_number": "cell_number_example",
  "prefered_contact_email": "[email protected]",
  "prefered_email": "[email protected]",
  "company_email": "[email protected]",
  "personal_email": "[email protected]",
  "unsubscribed": false,
  "permanent_accommodation_type": "permanent_accommodation_type_example",
  "permanent_address": "permanent_address_example",
  "current_accommodation_type": "current_accommodation_type_example",
  "current_address": "current_address_example",
  "bio": "bio_example",
  "passport_number": "passport_number_example",
  "date_of_issue": "2024-01-15",
  "valid_upto": "valid_upto_example",
  "place_of_issue": "place_of_issue_example",
  "marital_status": "marital_status_example",
  "blood_group": "blood_group_example",
  "family_background": "family_background_example",
  "health_details": "health_details_example",
  "resignation_letter_date": "2024-01-15",
  "relieving_date": "2024-01-15",
  "reason_for_leaving": "reason_for_leaving_example",
  "leave_encashed": "leave_encashed_example",
  "encashment_date": "2024-01-15",
  "held_on": "held_on_example",
  "new_workplace": "new_workplace_example",
  "feedback": "feedback_example",
  "attendance_device_id": "attendance_device_id_example",
  "salary_currency": "USD",
  "ctc": 0,
  "iban": "iban_example"
}
DELETE /api/setup/employee/{id}

Delete a employee

Permanently deletes a employee. This cannot be undone.

Path parameters

id string required

The identifier of the employee to delete.

Returns

Returns a confirmation that the employee has been deleted.

DELETE /api/setup/employee/{id}
curl https://api.overplane.dev/api/setup/employee/employee_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "employee_abc123",
  "deleted": true
}
GET /api/setup/employee/{id}/children

Get children

Returns the direct children of the specified node in the tree.

Path parameters

id string required

The identifier of the employee to act on.

Returns

A list of direct child objects.

GET /api/setup/employee/{id}/children
curl https://api.overplane.dev/api/setup/employee/employee_abc123/children \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "employee_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parent_id": null,
  "is_group": false,
  "employee": "employee_example",
  "salutation": "salutation_example",
  "first_name": "first_name_example",
  "middle_name": "middle_name_example",
  "last_name": "last_name_example",
  "employee_name": "employee_name_example",
  "image": "image_example",
  "company": "Example Corp",
  "status": "Active",
  "employee_number": "employee_number_example",
  "gender": "gender_example",
  "date_of_birth": "2024-01-15",
  "date_of_joining": "2024-01-15",
  "emergency_phone_number": "emergency_phone_number_example",
  "person_to_be_contacted": "person_to_be_contacted_example",
  "relation": "relation_example",
  "user_id": "user_id_example",
  "create_user_permission": true,
  "create_user_automatically": false,
  "scheduled_confirmation_date": "2024-01-15",
  "final_confirmation_date": "2024-01-15",
  "contract_end_date": "2024-01-15",
  "notice_number_of_days": 0,
  "date_of_retirement": "2024-01-15",
  "department": "department_example",
  "designation": "designation_example",
  "reports_to": "reports_to_example",
  "branch": "branch_example",
  "holiday_list": "holiday_list_example",
  "salary_mode": "salary_mode_example",
  "bank_name": "bank_name_example",
  "bank_ac_no": "bank_ac_no_example",
  "cell_number": "cell_number_example",
  "prefered_contact_email": "[email protected]",
  "prefered_email": "[email protected]",
  "company_email": "[email protected]",
  "personal_email": "[email protected]",
  "unsubscribed": false,
  "permanent_accommodation_type": "permanent_accommodation_type_example",
  "permanent_address": "permanent_address_example",
  "current_accommodation_type": "current_accommodation_type_example",
  "current_address": "current_address_example",
  "bio": "bio_example",
  "passport_number": "passport_number_example",
  "date_of_issue": "2024-01-15",
  "valid_upto": "valid_upto_example",
  "place_of_issue": "place_of_issue_example",
  "marital_status": "marital_status_example",
  "blood_group": "blood_group_example",
  "family_background": "family_background_example",
  "health_details": "health_details_example",
  "resignation_letter_date": "2024-01-15",
  "relieving_date": "2024-01-15",
  "reason_for_leaving": "reason_for_leaving_example",
  "leave_encashed": "leave_encashed_example",
  "encashment_date": "2024-01-15",
  "held_on": "held_on_example",
  "new_workplace": "new_workplace_example",
  "feedback": "feedback_example",
  "attendance_device_id": "attendance_device_id_example",
  "salary_currency": "USD",
  "ctc": 0,
  "iban": "iban_example"
}
GET /api/setup/employee/{id}/ancestors

Get ancestors

Returns all ancestors from the immediate parent up to the root of the tree.

Path parameters

id string required

The identifier of the employee to act on.

Returns

A list of ancestor objects from parent to root.

GET /api/setup/employee/{id}/ancestors
curl https://api.overplane.dev/api/setup/employee/employee_abc123/ancestors \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "employee_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parent_id": null,
  "is_group": false,
  "employee": "employee_example",
  "salutation": "salutation_example",
  "first_name": "first_name_example",
  "middle_name": "middle_name_example",
  "last_name": "last_name_example",
  "employee_name": "employee_name_example",
  "image": "image_example",
  "company": "Example Corp",
  "status": "Active",
  "employee_number": "employee_number_example",
  "gender": "gender_example",
  "date_of_birth": "2024-01-15",
  "date_of_joining": "2024-01-15",
  "emergency_phone_number": "emergency_phone_number_example",
  "person_to_be_contacted": "person_to_be_contacted_example",
  "relation": "relation_example",
  "user_id": "user_id_example",
  "create_user_permission": true,
  "create_user_automatically": false,
  "scheduled_confirmation_date": "2024-01-15",
  "final_confirmation_date": "2024-01-15",
  "contract_end_date": "2024-01-15",
  "notice_number_of_days": 0,
  "date_of_retirement": "2024-01-15",
  "department": "department_example",
  "designation": "designation_example",
  "reports_to": "reports_to_example",
  "branch": "branch_example",
  "holiday_list": "holiday_list_example",
  "salary_mode": "salary_mode_example",
  "bank_name": "bank_name_example",
  "bank_ac_no": "bank_ac_no_example",
  "cell_number": "cell_number_example",
  "prefered_contact_email": "[email protected]",
  "prefered_email": "[email protected]",
  "company_email": "[email protected]",
  "personal_email": "[email protected]",
  "unsubscribed": false,
  "permanent_accommodation_type": "permanent_accommodation_type_example",
  "permanent_address": "permanent_address_example",
  "current_accommodation_type": "current_accommodation_type_example",
  "current_address": "current_address_example",
  "bio": "bio_example",
  "passport_number": "passport_number_example",
  "date_of_issue": "2024-01-15",
  "valid_upto": "valid_upto_example",
  "place_of_issue": "place_of_issue_example",
  "marital_status": "marital_status_example",
  "blood_group": "blood_group_example",
  "family_background": "family_background_example",
  "health_details": "health_details_example",
  "resignation_letter_date": "2024-01-15",
  "relieving_date": "2024-01-15",
  "reason_for_leaving": "reason_for_leaving_example",
  "leave_encashed": "leave_encashed_example",
  "encashment_date": "2024-01-15",
  "held_on": "held_on_example",
  "new_workplace": "new_workplace_example",
  "feedback": "feedback_example",
  "attendance_device_id": "attendance_device_id_example",
  "salary_currency": "USD",
  "ctc": 0,
  "iban": "iban_example"
}
GET /api/setup/employee/{id}/descendants

Get descendants

Returns all descendants of the specified node in the tree.

Path parameters

id string required

The identifier of the employee to act on.

Returns

A list of all descendant objects.

GET /api/setup/employee/{id}/descendants
curl https://api.overplane.dev/api/setup/employee/employee_abc123/descendants \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "employee_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "parent_id": null,
  "is_group": false,
  "employee": "employee_example",
  "salutation": "salutation_example",
  "first_name": "first_name_example",
  "middle_name": "middle_name_example",
  "last_name": "last_name_example",
  "employee_name": "employee_name_example",
  "image": "image_example",
  "company": "Example Corp",
  "status": "Active",
  "employee_number": "employee_number_example",
  "gender": "gender_example",
  "date_of_birth": "2024-01-15",
  "date_of_joining": "2024-01-15",
  "emergency_phone_number": "emergency_phone_number_example",
  "person_to_be_contacted": "person_to_be_contacted_example",
  "relation": "relation_example",
  "user_id": "user_id_example",
  "create_user_permission": true,
  "create_user_automatically": false,
  "scheduled_confirmation_date": "2024-01-15",
  "final_confirmation_date": "2024-01-15",
  "contract_end_date": "2024-01-15",
  "notice_number_of_days": 0,
  "date_of_retirement": "2024-01-15",
  "department": "department_example",
  "designation": "designation_example",
  "reports_to": "reports_to_example",
  "branch": "branch_example",
  "holiday_list": "holiday_list_example",
  "salary_mode": "salary_mode_example",
  "bank_name": "bank_name_example",
  "bank_ac_no": "bank_ac_no_example",
  "cell_number": "cell_number_example",
  "prefered_contact_email": "[email protected]",
  "prefered_email": "[email protected]",
  "company_email": "[email protected]",
  "personal_email": "[email protected]",
  "unsubscribed": false,
  "permanent_accommodation_type": "permanent_accommodation_type_example",
  "permanent_address": "permanent_address_example",
  "current_accommodation_type": "current_accommodation_type_example",
  "current_address": "current_address_example",
  "bio": "bio_example",
  "passport_number": "passport_number_example",
  "date_of_issue": "2024-01-15",
  "valid_upto": "valid_upto_example",
  "place_of_issue": "place_of_issue_example",
  "marital_status": "marital_status_example",
  "blood_group": "blood_group_example",
  "family_background": "family_background_example",
  "health_details": "health_details_example",
  "resignation_letter_date": "2024-01-15",
  "relieving_date": "2024-01-15",
  "reason_for_leaving": "reason_for_leaving_example",
  "leave_encashed": "leave_encashed_example",
  "encashment_date": "2024-01-15",
  "held_on": "held_on_example",
  "new_workplace": "new_workplace_example",
  "feedback": "feedback_example",
  "attendance_device_id": "attendance_device_id_example",
  "salary_currency": "USD",
  "ctc": 0,
  "iban": "iban_example"
}

Line items

Child objects that belong to this employee. These are accessed via the parent's ID.

Employee Education

Attributes

idx integer
employee_id string required
school_univ string
qualification string
level string
year_of_passing integer
class_per string
maj_opt_subj string

Endpoints

GET /api/setup/employee-education?parent_id={id}
POST /api/setup/employee-education
PATCH /api/setup/employee-education/{id}
DELETE /api/setup/employee-education/{id}
POST /api/setup/employee-education/reorder
Employee Education object
{
  "id": "employee-education_abc123",
  "idx": 1,
  "employee_id": "employee_id_example",
  "school_univ": "school_univ_example",
  "qualification": "qualification_example",
  "level": "level_example",
  "year_of_passing": 0,
  "class_per": "class_per_example",
  "maj_opt_subj": "maj_opt_subj_example"
}

Employee External Work History

Attributes

idx integer
employee_id string required
company_name string
designation string
salary number
address string
contact string
total_experience string

Endpoints

GET /api/setup/employee-external-work-history?parent_id={id}
POST /api/setup/employee-external-work-history
PATCH /api/setup/employee-external-work-history/{id}
DELETE /api/setup/employee-external-work-history/{id}
POST /api/setup/employee-external-work-history/reorder
Employee External Work History object
{
  "id": "employee-external-work-history_abc123",
  "idx": 1,
  "employee_id": "employee_id_example",
  "company_name": "Example Corp",
  "designation": "designation_example",
  "salary": 0,
  "address": "address_example",
  "contact": "contact_example",
  "total_experience": "total_experience_example"
}

Employee Internal Work History

Attributes

idx integer
employee_id string required
branch string
department string
designation string
from_date string
to_date string

Endpoints

GET /api/setup/employee-internal-work-history?parent_id={id}
POST /api/setup/employee-internal-work-history
PATCH /api/setup/employee-internal-work-history/{id}
DELETE /api/setup/employee-internal-work-history/{id}
POST /api/setup/employee-internal-work-history/reorder
Employee Internal Work History object
{
  "id": "employee-internal-work-history_abc123",
  "idx": 1,
  "employee_id": "employee_id_example",
  "branch": "branch_example",
  "department": "department_example",
  "designation": "designation_example",
  "from_date": "2024-01-15",
  "to_date": "2024-01-15"
}